package com.inspect.system.mapper;

import com.inspect.system.domain.SysConfig;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysConfigMapper {
    SysConfig selectConfig(SysConfig sysConfig);

    List<SysConfig> selectConfigByKeys(List<String> keys);

    List<SysConfig> selectConfigList(SysConfig sysConfig);

    SysConfig checkConfigKeyUnique(String configKey);

    int insertConfig(SysConfig sysConfig);

    int updateConfig(SysConfig sysConfig);

    int deleteConfigById(Long id);

    int deleteConfigByIds(Long[] ids);
}
